** IMPORTANT ** – Core Update

I have recently discovered that an update in the core ‘Content Management System’ included a newer version of the Visual Content Editor which no longer supports Internet Explorer versions 8, 9 and 10.

The current release of Internet Explorer is version 11 and this has been around for 4 years, Microsoft also stopped supporting older versions of this browser from around the same time, so nobody should really be using a version of Internet Explorer previous to 11 (mainly for security as new patches have not been applied for at least 4 years).

According to netmarketshare.com, only 1/6% of the global population are still using this browser, with over 45% using either IE11 or Chrome.

If you are stuck on an old version of Intenet Explorer for any reason (as I know some NHS Wirral Practices are using IE8 due to other local applications) then please let me know and if you are affected by this, I can re-install the previous version of the Content Management System for you, but I would strongly recommend that you a) upgrade your version of Internet Explorer, b) install an alternative browser or c) contact your local IT department for further guidance.

5 Stars

Rated 5 stars by Practices around the UK

PracticeIndex Logo

Click below to view our client map and see how other Practices are using SurgeryWeb

SurgeryWeb Client Map

What are you waiting for?

Get in touch today to get your Surgery's new, easy-to-use website!

This website uses cookies to improve your user experience. If you continue on this website, you will be providing your consent to our use of cookies.

Top